Skip site navigation (1) Skip section navigation (2)

Re: PLPerl not installed correctly?

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: Daniel(dot)Hutchison(at)rokaconsulting(dot)com
Cc: pgsql-novice(at)postgresql(dot)org
Subject: Re: PLPerl not installed correctly?
Date: 2010-04-20 15:21:55
Message-ID: 10784.1271776915@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-novice
"Daniel Hutchison" <Daniel(dot)Hutchison(at)rokaconsulting(dot)com> writes:
> I've been experiencing problems getting any plperl function working, and I
> believe the problem lies in the actual plperl installation not due to my
> rusty perl memories.  For example, the very simple plperl example in the
> comprehensive documentation (at
> http://www.postgresql.org/docs/8.4/interactive/plperl-funcs.html):
> Returns something odd (at least to me, also with little postgresql
> experience):
> prod1=> select perl_max(1,2);
> ERROR:  invalid input syntax for integer: "CODE(0x1f6d13c)"

I'm going to guess that your perl installation doesn't match the version
of perl your postgresql installation was built against.  I'm not sure
how you find that out for certain, but maybe the docs that came with the
PG installer would tell you what it's expecting.

			regards, tom lane

In response to

Responses

pgsql-novice by date

Next:From: Atif JungDate: 2010-04-20 15:49:23
Subject: Fwd: Help with awk script
Previous:From: Glus XofDate: 2010-04-20 14:17:24
Subject: Specific Database Vars

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group